Album: Fuchsia Ruler - Single
Artists:
- Kezinox
Date: April 3, 2012
Date Added: January 1, 2023
URLs:
- https://sinisterpsyche.bandcamp.com/album/fuchsia-ruler-single
Cover Artists:
- Mel
Cover Art File Extension: png
Color: '#f8017b'
Groups:
- Fandom
Art Tags:
- The Condesce
Commentary: |-
    <i>Kezinox:</i>
    Originally known by the name Witc)(ing )(our [a theme for the Condesce], Fuchsia Ruler was an entry for the Homestuck Album Contest. Since it did in fact win, and was placed on the contest album I had to wait until now to upload it here. You can now download it either from my bandcamp here as a single, or, if you're a fan of homestuck i'd encourage you to download it here from the homestuck bandcamp along with the rest of the album.
---
Track: Fuchsia Ruler
Directory: fuchsia-ruler-single
Originally Released As: track:fuchsia-ruler
Duration: 4:07
URLs:
- https://sinisterpsyche.bandcamp.com/track/fuchsia-ruler
